@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700;800;900&display=swap");

:root {
	--color-000: #1e1e1e;
	--color-FFF: #ffffff;
	--color-100: #e5312f;
	--color-200: #ec2426;
	--color-300: #b82624;
	--color-400: #7a0001;

	--font-montserrat: "Montserrat", "Trebuchet MS", sans-serif;
	--font-trebuchet: "Trebuchet MS", sans-serif;
}

* {
	box-sizing: border-box;
	padding: 0;
	margin: 0;
	scroll-behavior: smooth;
	word-wrap: normal;
	overflow-x: hidden;
}

body,
html {
	font-family: var(--font-montserrat);
	font-display: swap;
	color: var(--color-000);
	background-color: var(--color-FFF);
}

.sr-only {
	clip: rect(1px, 1px, 1px, 1px);
	clip-path: inset(50%);
	height: 1px;
	width: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute;
}

a {
	text-decoration: none;
}

svg {
	display: block;
}

.row-break {
	flex-basis: 100%;
	height: 0;
}

header {
	background-color: var(--color-200);
	height: 90px;
	overflow: visible;

	nav {
		display: flex;
		justify-content: space-around;
		z-index: 9;
		brand {
			height: fit-content;
			width: fit-content;
			a {
				color: var(--color-FFF);
				font-size: x-large;
				text-transform: uppercase;
				font-weight: 600;
			}
		}
		contato {
			height: fit-content;
			display: flex;
			a {
				color: var(--color-300);
				text-transform: uppercase;
				font-weight: 600;
				padding: 0.3rem 1rem;
				background-color: var(--color-FFF);
				border-radius: 5px;
				transition:
					background-color ease 0.2s,
					color ease 0.2s;
			}
			a:hover {
				background-color: var(--color-300);
				color: var(--color-FFF);
				transition:
					background-color ease 0.3s,
					color ease 0.3s;
			}
		}
	}
}
@media screen and (min-width: 701px) {
	nav {
		padding-top: 30px;
		img {
			height: 150px;
		}
	}
}
@media screen and (max-width: 700px) {
	header nav {
		align-items: center;
		padding-top: 5px;
		img {
			margin: 0 5px;
			max-height: 75px;
			height: 100%;
			max-width: 100%;
		}
		contato {
			display: none;
		}
	}
}

@media screen and (min-width: 600px) {
	nav {
		sociais {
			display: flex;
			height: fit-content;
			a {
				background-color: var(--color-FFF);
				padding: 5px;
				border-radius: 50%;
				margin: auto 5px;
			}
		}
	}
}
@media screen and (max-width: 599.98px) {
	nav {
		sociais {
			display: none;
		}
		img {
			margin: 0 10px;
			width: 80%;
		}
	}
}
@media screen and (max-width: 444.98px) {
	nav {
		brand {
			a {
				font-size: medium;
			}
		}
	}
}

.contato {
	background-color: var(--color-100);
	color: var(--color-FFF);
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 5rem;
	padding: 5rem 3rem;

	h3 {
		font-size: xx-large;
		margin-bottom: 2rem;
	}

	img {
		width: 100%;
		max-width: 500px;
	}
	li {
		display: flex;
		padding: 10px 5px;
		margin: 10px 0;
		font-size: large;
	}
	svg {
		margin: auto 5px;
	}
	a {
		color: var(--color-FFF);
		display: flex;
		word-break: break-all;
	}
	a:hover {
		text-decoration: underline;
	}
}

footer {
	background-color: var(--color-300);
	color: var(--color-FFF);
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-evenly;
	padding: 10px;
	font-size: 18px;
	text-align: center;
	a {
		color: var(--color-FFF);
		display: flex;
	}
	a:hover {
		text-decoration: underline;
	}

	.creditos {
		font-size: small;
		a {
			display: inline;
		}
	}
}

.mapa {
	position: relative;
}
a.btnlocalizacao {
	background-color: var(--color-300);
	color: var(--color-FFF);
	z-index: 2;
	position: absolute;
	top: 5px;
	right: 5px;
	padding: 0.5rem 1rem;
}
/* PÁGINA INICIAL */

.sectionMuseu {
	background-image: url("../img/Banner Hepacaré-1.png");
	background-color: var(--color-300);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: top center;

	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	text-align: center;
	justify-content: center;
	height: 400px;
	text-transform: uppercase;
	padding: 20px;
	a {
		color: var(--color-FFF);
		height: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	p {
		font-size: 24px;
	}
	h1 {
		font-size: 34px;
	}
	span {
		font-size: 40px;
	}
	.sectionMuseu-div {
		background-color: var(--color-300);
		padding: 20px;
		border-radius: 10px;
	}
}

.sectionMuseu:hover a div div {
	-webkit-animation: bounce-left 0.8s both;
	animation: bounce-left 0.8s both;
}

.sectionSocios {
	background-color: var(--color-300);
	color: var(--color-FFF);
	margin: 50px auto;
	width: 70%;
	padding: 100px;
	border-radius: 30px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	a {
		color: var(--color-FFF);
	}
	a:not(.btn01 a) {
		text-decoration: underline;
	}
	h2 {
		font-size: 28px;
	}
	.btn01 {
		background-color: var(--color-100);
		width: fit-content;
		text-transform: uppercase;
		margin: 0 auto 20px;
		font-size: 22px;
		padding: 15px 35px;
		border-radius: 30px;
		transition: background-color ease 0.3s;
	}
	.btn01:hover {
		background-color: var(--color-FFF);
		a {
			color: var(--color-100);
		}
		transition: background-color ease 0.3s;
	}
	div:nth-of-type(2) {
		text-align: center;
	}
}
@media screen and (max-width: 1024px) {
	.sectionSocios {
		flex-wrap: wrap;
		text-align: center;
		justify-content: center;
		div:nth-of-type(2) {
			margin-top: 25px;
		}
	}
}
@media screen and (max-width: 559.98px) {
	.sectionSocios {
		padding: 100px 30px;
		width: 90%;
	}
}

.sectionVideo {
	margin: 100px;
	hr {
		background: var(--color-100);
		height: 5px;
		width: 50px;
		border: none;
		border-radius: 100px;
	}
	.divVideo {
		margin-top: 40px;
		display: flex;
		justify-content: space-around;

		div {
			max-width: 600px;
			width: 100%;
		}
	}
}

@media screen and (max-width: 1024px) {
	.sectionVideo {
		margin: 100px 50px;
	}

	.divVideo {
		flex-direction: column;
		align-items: center;
	}
}

@media screen and (max-width: 399.98px) {
	.sectionVideo {
		margin: 100px 10px;
	}
}

.sectionDocumentos {
	margin: 100px;
	h3 {
		font-size: 24px;
	}
	hr {
		background: var(--color-100);
		height: 5px;
		width: 50px;
		border: none;
		border-radius: 100px;
	}
	.cardsDocumentos {
		margin-top: 20px;
		padding: 20px;
		display: flex;
		flex-wrap: wrap;
		gap: 20px;
		justify-content: space-evenly;
		a {
			color: var(--color-000);
			span {
				font-size: 14px;
				font-weight: 500;
			}
		}
		div {
			width: 20%;
			text-align: center;
			padding: 20px;
			font-size: 20px;
			font-weight: 600;
			border-radius: 20px;
			box-shadow:
				rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
				rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
			transition: box-shadow ease 0.3s;
			svg {
				color: var(--color-300);
				margin: 0 auto 20px;
			}
		}
		div:hover {
			box-shadow:
				rgba(184, 37, 35, 0.9) 0px 2px 5px -1px,
				rgba(184, 37, 35, 0.9) 0px 1px 3px -1px;
			transition: box-shadow ease 0.3s;
		}
	}
}

@media screen and (max-width: 768.98px) {
	.sectionDocumentos {
		margin: 100px 50px;
		.cardsDocumentos {
			div {
				width: 90%;
			}
		}
	}
}
@media screen and (max-width: 399.98px) {
	.sectionDocumentos {
		margin: 100px 10px;
		.cardsDocumentos {
			div {
				width: 100%;
			}
		}
	}
}

.sectionUnifatea {
	background-color: #dcdcdc;
	color: var(--color-FFF);
	display: flex;
	flex-wrap: wrap;
	align-items: stretch;
	justify-content: space-between;
	h3 {
		font-size: 24px;
	}
	img {
		max-width: 250px;
		margin-top: 5px;
	}
	div {
		height: 100%;
		padding: 50px 100px;
		text-align: center;
	}
	a.btn02 {
		background-color: var(--color-300);
		color: var(--color-FFF);
		font-size: 22px;
		border-radius: 150px 0 0 150px;
		div {
			display: flex;
			flex-wrap: wrap;
			justify-content: center;
			flex-direction: column;
		}
		span {
			font-size: 40px;
		}
	}
	a.btn02:hover span {
		-webkit-animation: bounce-left 0.8s both;
		animation: bounce-left 0.8s both;
	}
}

.sectionUnifatea {
	background-image: url("../img/imagem-terreno-01.webp");
	background-repeat: no-repeat;
	background-color: var(--color-300);
	background-size: cover;
	background-position: center center;
}

@media screen and (min-width: 1024px) {
	.sectionUnifatea {
		.titulo {
			margin-left: 10%;
		}
	}
}
@media screen and (max-width: 889.98px) {
	.sectionUnifatea {
		.titulo {
			padding: 50px 30px;
		}
	}
}
@media screen and (max-width: 749.98px) {
	.sectionUnifatea {
		div {
			padding: 50px 30px;
		}
	}
}
@media screen and (max-width: 609.98px) {
	.sectionUnifatea {
		.titulo {
			width: 100%;
			img {
				width: 100%;
			}
		}
		a.btn02 {
			font-size: 22px;
			border-radius: 150px 150px 0 0;
			width: 100%;
			div {
				justify-content: center;
			}
			span {
				font-size: 40px;
			}
		}
	}
}

/* PÁGINAS SECUNDÁRIAS */
.sectionTitulo {
	background-color: var(--color-300);
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	text-align: center;
	justify-content: center;
	height: 200px;

	padding: 20px;
	color: var(--color-FFF);
	h1 {
		text-transform: uppercase;
		font-size: 34px;
	}
	span {
		font-size: 22px;
	}
	breadcrumb {
		font-size: small;
		margin-top: 30px;
		text-transform: uppercase;
		a {
			color: var(--color-FFF);
			text-decoration: underline;
		}
	}
}
.sectionConteudo {
	width: 70%;
	margin: 50px auto 100px;
	h2 {
		color: var(--color-300);
	}
	p {
		margin: 15px 0;
	}
	a {
		color: var(--color-000);
		text-decoration: underline;
		text-decoration-color: var(--color-200);
		font-weight: 600;
	}
	a:hover {
		color: var(--color-200);
	}
	.boxBotoes {
		display: grid;
		grid-template-columns: repeat(3, 1fr);
		gap: 10px;
		margin-top: 30px;
		a {
			text-decoration: none;
			background-color: var(--color-100);
			color: var(--color-FFF);
			border: 1px solid var(--color-100);
			border-radius: 20px;
			font-size: 12pt;
			padding: 5px 15px;
			text-align: center;
			transition: background-color ease 0.2s;
		}
		a:hover {
			background-color: var(--color-FFF);
			color: var(--color-100);
			transition: background-color ease 0.2s;
		}
	}
}
@media (max-width: 767.98px) {
	.sectionConteudo {
		width: 90%;
		margin-top: 30px;
		.boxBotoes {
			grid-template-columns: 1fr;
			gap: 10px;
		}
	}
}

.sectionConteudoSocios {
	background-image: url("../img/fundo.jpg");
	background-color: var(--color-400);
	background-repeat: no-repeat;
	background-position: bottom center;
	background-size: cover;
	color: var(--color-FFF);
	.conteudo {
		width: 50%;
		margin: 50px auto 20px;
	}
	h2 {
		color: var(--color-FFF);
	}
	p {
		margin: 15px 0;
	}
	a {
		color: var(--color-FFF);
		text-decoration: underline;
		text-decoration-color: var(--color-FFF);
		font-weight: 600;
	}
	a:hover {
		color: var(--color-200);
	}
}
@media (max-width: 767.98px) {
	.sectionConteudoSocios {
		.conteudo {
			width: 90%;
		}
	}
}

/* ANIMAÇÕES */
@-webkit-keyframes bounce-left {
	0% {
		-webkit-transform: translateX(-48px);
		transform: translateX(-48px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
		opacity: 1;
	}
	24% {
		opacity: 1;
	}
	40% {
		-webkit-transform: translateX(-26px);
		transform: translateX(-26px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
	}
	65% {
		-webkit-transform: translateX(-13px);
		transform: translateX(-13px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
	}
	82% {
		-webkit-transform: translateX(-6.5px);
		transform: translateX(-6.5px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
	}
	93% {
		-webkit-transform: translateX(-4px);
		transform: translateX(-4px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
	}
	25%,
	55%,
	75%,
	87%,
	98% {
		-webkit-transform: translateX(0px);
		transform: translateX(0px);
		-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
	}
	100% {
		-webkit-transform: translateX(0px);
		transform: translateX(0px);
		-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
		opacity: 1;
	}
}
@keyframes bounce-left {
	0% {
		-webkit-transform: translateX(-48px);
		transform: translateX(-48px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
		opacity: 1;
	}
	24% {
		opacity: 1;
	}
	40% {
		-webkit-transform: translateX(-26px);
		transform: translateX(-26px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
	}
	65% {
		-webkit-transform: translateX(-13px);
		transform: translateX(-13px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
	}
	82% {
		-webkit-transform: translateX(-6.5px);
		transform: translateX(-6.5px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
	}
	93% {
		-webkit-transform: translateX(-4px);
		transform: translateX(-4px);
		-webkit-animation-timing-function: ease-in;
		animation-timing-function: ease-in;
	}
	25%,
	55%,
	75%,
	87%,
	98% {
		-webkit-transform: translateX(0px);
		transform: translateX(0px);
		-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
	}
	100% {
		-webkit-transform: translateX(0px);
		transform: translateX(0px);
		-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
		opacity: 1;
	}
}
